mixed-port: 7890
allow-lan: false
mode: rule
ipv6: false
log-level: info
external-controller: 0.0.0.0:9090
dns:
  enable: true
  listen: 0.0.0.0:53
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 114.114.114.114
  nameserver:
    - 223.5.5.5
    - 114.114.114.114
    - 119.29.29.29
    - 180.76.76.76
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - router.asus.com
    - localhost.sec.qq.com
    - localhost.ptlogin2.qq.com
    - +.msftconnecttest.com
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - 114.114.114.114
    - 180.76.76.76
    - 119.29.29.29
    - 223.5.5.5
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
    - 1.0.0.1


proxies:
  - type: ss
    name: 🇨🇳_CN_中国
    server: 103.149.182.38
    port: 8388
    cipher: chacha20-ietf
    password: asd123456
  - type: vless
    name: 🇯🇵_JP_日本
    server: 18.183.89.240
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇺🇸_US_美国
    server: 68.64.176.135
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
    client-fingerprint: random
    alpn:
      - h3
  - type: trojan
    name: 🇺🇸_US_美国_1
    server: ip.sb
    port: 8443
    password: trojan
    network: ws
    sni: fofang.pages.dev
    tls: true
    ws-opts:
      path: /
  - type: vless
    name: 🇺🇸_US_美国_2
    server: 51.195.43.174
    port: 8443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇩🇪_DE_德国
    server: 49.12.210.182
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇺🇸_US_美国_3
    server: 162.19.175.55
    port: 9954
    uuid: c2ec47f4-873f-573f-7d8d-d79d7ad452e6
    network: tcp
    servername: store.steampowered.com
    tls: true
    encryption: none
    reality-opts:
      public-key: YWfCdTnr4FAOMYTY2dLrMtQUokyxOGpPhYEEszPj20E
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇨🇦_CA_加拿大
    server: 142.132.140.130
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇺🇸_US_美国_4
    server: 80.76.32.12
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇺🇸_US_美国_5
    server: freeyx.cloudflare88.eu.org
    port: 2096
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: ss
    name: 🇫🇷_FR_法国
    server: 35.180.122.182
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
  - type: ss
    name: 🇫🇷_FR_法国_1
    server: 195.154.119.77
    port: 989
    cipher: aes-256-cfb
    password: f8f7aCzcPKbsF8p3
  - type: ss
    name: 🇺🇸_US_美国_6
    server: 3.65.219.59
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
  - type: vless
    name: 🇷🇺_RU_俄罗斯
    server: 193.124.18.13
    port: 443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: ss
    name: 🇺🇸_US_美国_7
    server: 63.180.254.10
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
  - type: vless
    name: 🇨🇳_CN_中国_1
    server: 202.85.53.77
    port: 7000
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇳🇱_NL_荷兰
    server: 185.103.252.54
    port: 2053
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: ss
    name: 🇺🇸_US_美国_8
    server: 3.76.39.215
    port: 443
    cipher: aes-256-cfb
    password: amazonskr05
  - type: vless
    name: 🇬🇧_GB_英国
    server: fr.monkeyisland.xyz
    port: 443
    uuid: 6184fcfb-52e0-40bb-a271-bbd097b70a8e
    network: tcp
    servername: fr.monkeyisland.xyz
    tls: true
    encryption: none
    reality-opts:
      public-key: 2AKBmK0PMf2zUMhRo1Ad-WNf_XoRk3AN-SGo6ZdhxA4
      short-id: 0dd15ad462aad7fc
      spider-x: /
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🏳️_unKnow_未知
    server: 213.176.16.74
    port: 443
    uuid: d7fbe279896e40118c23d15fe537dddd
    network: tcp
    servername: apple.com
    tls: true
    encryption: none
    reality-opts:
      public-key: XNL_xB1Spd09CQQQGnjeMPPK6_tPnFuYI_nLKk3EiWc
      short-id: aabbccdd
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇸🇦_SA_沙特阿拉伯
    server: ru01-blh02.tcp-reset-club.net
    port: 443
    uuid: 3b4d1c7f-4fd7-45bb-9251-79cd53a3e006
    network: tcp
    servername: www.kinopoisk.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: mLmBhbVFfNuo2eUgBh6r9-5Koz9mUCn3aSzlR6IejUg
      short-id: 86e999a2cdc2
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇮🇶_IQ_伊拉克
    server: 178.17.51.244
    port: 443
    uuid: b127d2d2-277a-491e-bf80-2e8688fa85e2
    network: tcp
    servername: firebase.com
    tls: true
    encryption: none
    reality-opts:
      public-key: YbcsLbM-ZxDJJZj3IYGsSReprZPs2chlo1tSFpnk2C0
      short-id: bc541f8a6ad839c3
      spider-x: /WqzI2UAkb2Z7Lg1
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇷🇺_RU_俄罗斯_1
    server: 95.140.157.183
    port: 8443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🇷🇺_RU_俄罗斯_2
    server: 85.193.95.23
    port: 8443
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: vless
    name: 🏳️_unKnow_未知_1
    server: 193.123.90.82
    port: 12648
    uuid: 5aba5b77-48eb-4ae2-b60d-5bfee7ac169e
    network: ws
    servername: kuangbao.xiejiang.dpdns.org
    tls: true
    ws-opts:
      path: /?ed=2560
      headers:
        Host: kuangbao.xiejiang.dpdns.org
  - type: ss
    name: 🇺🇸_US_美国_9
    server: 137.184.174.93
    port: 8080
    cipher: rc4-md5
    password: 14fFPrbezE3HDZzsMOr6
  - type: vless
    name: 🇷🇺_RU_俄罗斯_3
    server: russia.whitenet.online
    port: 443
    uuid: russia
    network: tcp
    servername: vk.com
    tls: true
    encryption: none
    reality-opts:
      public-key: xdNyDss0OLTu3z6kcdg8X2wfTOLtmDTobE2on3vKe34
      short-id: ab1cd2
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇳🇱_NL_荷兰_1
    server: 45.151.62.132
    port: 443
    uuid: 78c2cfc3c5084ff19fb1023e8802286e
    network: tcp
    servername: ya.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: pbvLeT8R8bA8isPIi1JNbSAz7zM3GFkTLkDinP8ilnU
      short-id: aabbccdd
    client-fingerprint: chrome
    flow: xtls-rprx-vision
    alpn:
      - h2
  - type: vless
    name: 🇮🇷_IR_伊朗
    server: 188.253.21.154
    port: 443
    uuid: 3f162dc9-28f6-44be-96ba-291105acc861
    network: tcp
    servername: mirror.veesp.com
    tls: true
    encryption: none
    reality-opts:
      public-key: Y9wcIIlOdKbJI1zD8vxfdEyPBmfdw4eiMUl1v0rlwio
      short-id: f6cbdef5
    client-fingerprint: firefox
    flow: xtls-rprx-vision
  - type: vless
    name: 🇷🇺_RU_俄罗斯_4
    server: 193.233.133.166
    port: 443
    uuid: ff3c6dcf-08ae-4165-a2a9-00cb9e7c361e
    network: tcp
    servername: st.ozone.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: PgDz7FY2A1E-3wc77XVnCd3nOeoJMz-hKi-ZeAjhAxA
      short-id: 980305d865849874
      spider-x: /
    client-fingerprint: chrome
    flow: xtls-rprx-vision
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇨🇳_CN_中国
      - 🇯🇵_JP_日本
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_4
      - 🇺🇸_US_美国_5
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_6
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国_7
      - 🇨🇳_CN_中国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_8
      - 🇬🇧_GB_英国
      - 🏳️_unKnow_未知
      - 🇸🇦_SA_沙特阿拉伯
      - 🇮🇶_IQ_伊拉克
      - 🇷🇺_RU_俄罗斯_1
      - 🇷🇺_RU_俄罗斯_2
      - 🏳️_unKnow_未知_1
      - 🇺🇸_US_美国_9
      - 🇷🇺_RU_俄罗斯_3
      - 🇳🇱_NL_荷兰_1
      - 🇮🇷_IR_伊朗
      - 🇷🇺_RU_俄罗斯_4
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇨🇳_CN_中国
      - 🇯🇵_JP_日本
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_4
      - 🇺🇸_US_美国_5
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_6
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国_7
      - 🇨🇳_CN_中国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_8
      - 🇬🇧_GB_英国
      - 🏳️_unKnow_未知
      - 🇸🇦_SA_沙特阿拉伯
      - 🇮🇶_IQ_伊拉克
      - 🇷🇺_RU_俄罗斯_1
      - 🇷🇺_RU_俄罗斯_2
      - 🏳️_unKnow_未知_1
      - 🇺🇸_US_美国_9
      - 🇷🇺_RU_俄罗斯_3
      - 🇳🇱_NL_荷兰_1
      - 🇮🇷_IR_伊朗
      - 🇷🇺_RU_俄罗斯_4
    url: http://www.gstatic.com/generate_204
    interval: 300
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇨🇳_CN_中国
      - 🇯🇵_JP_日本
      - 🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国_2
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_4
      - 🇺🇸_US_美国_5
      - 🇫🇷_FR_法国
      - 🇫🇷_FR_法国_1
      - 🇺🇸_US_美国_6
      - 🇷🇺_RU_俄罗斯
      - 🇺🇸_US_美国_7
      - 🇨🇳_CN_中国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国_8
      - 🇬🇧_GB_英国
      - 🏳️_unKnow_未知
      - 🇸🇦_SA_沙特阿拉伯
      - 🇮🇶_IQ_伊拉克
      - 🇷🇺_RU_俄罗斯_1
      - 🇷🇺_RU_俄罗斯_2
      - 🏳️_unKnow_未知_1
      - 🇺🇸_US_美国_9
      - 🇷🇺_RU_俄罗斯_3
      - 🇳🇱_NL_荷兰_1
      - 🇮🇷_IR_伊朗
      - 🇷🇺_RU_俄罗斯_4
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/LocalAreaNetwork.list
    path: ./rules/providers/LocalAreaNetwork.list
    interval: 86400
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanAD.list
    path: ./rules/providers/BanAD.list
    interval: 86400
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanProgramAD.list
    path: ./rules/providers/BanProgramAD.list
    interval: 86400
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/GoogleCN.list
    path: ./rules/providers/GoogleCN.list
    interval: 86400
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Ruleset/SteamCN.list
    path: ./rules/providers/SteamCN.list
    interval: 86400
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Telegram.list
    path: ./rules/providers/Telegram.list
    interval: 86400
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyMedia.list
    path: ./rules/providers/ProxyMedia.list
    interval: 86400
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyLite.list
    path: ./rules/providers/ProxyLite.list
    interval: 86400
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaDomain.list
    path: ./rules/providers/ChinaDomain.list
    interval: 86400
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaCompanyIp.list
    path: ./rules/providers/ChinaCompanyIp.list
    interval: 86400

rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🛑 全球拦截
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Telegram,🚀 节点选择
  - RULE-SET,ProxyMedia,🚀 节点选择
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼